# Feature list

Vue Storefront is a platform-agnostic headless frontend for eCommerce. Here, we tried to put all the features available in 1.0 together:

## Vue Storefront unique features

- 100% offline support via in-browser IndexedDB database
- High speed with local caching (Service Workers + IndexedDB); avg. server response time < 0.3s; avg client-side rendering time < 2s
- Platform-agnostic: Magento 2, Magento 1, Pimcore supported out-of-the-box
- Offline orders support (via in-browser queue)
- Single page app user experience with server-side rendering support for SEO
- Native app features: install on home screen (iOS, Android, Chrome), push notifications (via customization)
- NoSQL/Elasticsearch database backend
- Modern Vue.js-based frontend: easy to design and customize, atomic-design, design-system backed
- It's a framework, customizable via extensions and themes. Easy to update with separated core.


## Vue Storefront Magento2 support

### Checkout, Payment, & Shipping

- One-page online checkout
- Integrated for real-time shipping rates
- SSL security support for all online orders and sensitive transactions
- Online tax and shipping calculation and prior-to-checkout estimates
- Option to create account as part of the online checkout process
- Configurable saved-cart expiration
- Multiple shipping address management
- Destination-country management
- Per-order and per-item flat-rate shipping option
- Free-shipping functionality
- Manage shipping by weight and destination

### Search Engine Optimization (SEO)

- SSR (server-side rendering)
- Light footprint design for fast load time and search-engine optimization
- Search-engine friendly URLs, including URL rewrite controls
- META information management at product and category levels
- Available via customization: auto-generated popular search terms page

### Analytics and Reporting

- Integration with Google Analytics
- Admin report dashboard with business overview
- Sales reports including total sales and returns
- Tax reports
- Abandoned shopping cart reports
- Best viewed products reports
- Top sold products report
- Low stock item report
- On-site search terms report
- Product reviews report with RSS support
- Tags report with RSS support
- Coupon usage report

### Marketing Promotions and Tools

- Newsletter management
- Catalog promotional pricing and controls
- Flexible coupons rule and pricing restrictions
- Free-shipping promotion management
- Bundled product options
- Customer group pricing
- New items promotional tool
- On-page upsells and cross-sells
- Wishlist management

### Order Management

Standard Magento 2 features are all supported:

 - View, edit, create, and fulfill orders from the admin panel.
- Create one or multiple invoices, shipments, and credit memos per order to allow for split fulfillment.
- Print invoices and packing slips.
- Call Center (phone) order creation—includes the ability to create a new customer, or select existing customer, and view shopping cart, wishlist, last ordered items, and compared products list, as well as select addresses, give discounts, and assign custom prices.
- Create re-orders for customers from the administration panel.
- Email notifications of orders.
- RSS feed of new orders.


### Customer Service

- Contact Us form
- Feature-rich customer accounts
- Order history with status updates
- Password-reset email from frontend and admin panel
- Order and account update emails
- Standard Magento 2 feature: Customizable order emails
- Standard Magento 2 feature: Create and edit orders from the admin panel


### Customer Accounts

- Order status and history
- Re-orders from account
- Address book with unlimited addresses
- Default billing and shipping addresses
- Wishlist
- Newsletter-subscription management


### Catalog Management Support

- Inventory management with backordered items, minimum, and maximum quantities
- Simple, configurable (e.g. size, color, etc.), bundled and grouped products
- Virtual products
- Downloadable/digital products
- Available via customization: Customer personalized products—upload text for embroidery, monogramming, etc.
- Tax rates per location, customer group, and product type
- Attribute sets for quick product creation of different item types
- Create store-specific attributes on the fly
- Media manager with automatic image resizing and watermarking
- Advanced pricing rules and support for special prices (see marketing tools)
- Available via customization: Customer personalized products – upload image
- Available via customization: Customer personalized products – select date/time options for products

### Product Browsing

- Multiple images per product
- Product image zoom-in capability
- Related products
- Stock availability
- Product option selection
- Grouped products view
- Add to wishlist

### Catalog Browsing

- Ultrafast Elasticsearch full catalog support with Service Workers caching
- 100% offline support
- Layered / faceted navigation for filtering of products in categories
- Recently viewed products
- Product comparisons
- Cross-sells, upsells, and related Items
- Available via customization: Product listing in grid or list format
- Breadcrumbs

